Go to the first, previous, next, last section, table of contents.

## Command Line Options

Here are the command line options that Geomview allows:

``-b r g '`b
  Set the window background color to the given r g b values.
``-c file'`
  Interpret the gcl commands in file, which may be the special symbol ``-'` for standard input. For a description of gcl, See section gcl: the Geomview Command Language.
``-c command'`
  Commands may also be supplied literally, as in

      -c "(ui-panel main off)"

  Since command includes parentheses, which have special meaning to the shell, command must be quoted. Multiple -c options are allowed.
``-wins nwins'`
  Causes Geomview to initially display nwins camera windows.
``-wpos width,height[@xmin,ymin]'`
  Specifies the initial location and size of the first camera window. The values for width, height, xmin, and ymin are in screen (pixel) coordinates.
``-M objectname'`
  Display (possibly dynamically changing) geometry sent from the programs `geomstuff` or `togeomview`. This actually listens to the named pipe ``/tmp/geomview/objectname'`; you can achieve the same effect with the shell commands:

      mkdir /tmp/geomview
      mknod /tmp/geomview/objectname p

  (assuming the directory and named pipe don't already exist), then executing the gcl command: `(geometry objectname < /tmp/geomview/objectname)`
``-Mc pipename'`
  Like ``-M'` above, but expects gcl commands, rather than OOGL geometry data, on the connection.
``-nopanels'`
  Start up displaying no panels, only graphics windows. Panels may be invoked later as usual with the `Px` keyboard shortcuts or with the `ui-panel` command.
``-e module'`
  Start an external module; module is the name associated with the module, appearing in the main panel's Applications browser, as defined by the `emodule-define` command.
``-start module args ...'`
  Like -e but allows you to pass arguments to the external module. "--" signals the end of the argument list; the "--" may be omitted if it would be the last argument on the Geomview command line.
``-run shell-command args ...'`
  Like -start but takes the pathname of executable of the external module instead of the module's name. The pathnames of all known module directories are appended to the UNIX search path when invoking shell-command.

Go to the first, previous, next, last section, table of contents.